/*
 * Coscine Web API
 *
 * Coscine (short for <b>CO</b>llaborative <b>SC</b>ientific <b>IN</b>tegration <b>E</b>nvironment) is the research data management platform for your research project.
 *
 * The version of the OpenAPI document: 2.0
 * Contact: servicedesk@itc.rwth-aachen.de
 * Generated by: https://github.com/openapitools/openapi-generator.git
 */


using Xunit;

using System;
using System.Linq;
using System.IO;
using System.Collections.Generic;
using Coscine.ApiClient.Core.Model;
using Coscine.ApiClient.Core.Client;
using System.Reflection;
using Newtonsoft.Json;

namespace Coscine.ApiClient.Core.Test.Model
{
    /// <summary>
    ///  Class for testing ExtractedMetadataTreeForUpdateDto
    /// </summary>
    /// <remarks>
    /// This file is automatically generated by OpenAPI Generator (https://openapi-generator.tech).
    /// Please update the test case below to test the model.
    /// </remarks>
    public class ExtractedMetadataTreeForUpdateDtoTests : IDisposable
    {
        // TODO uncomment below to declare an instance variable for ExtractedMetadataTreeForUpdateDto
        //private ExtractedMetadataTreeForUpdateDto instance;

        public ExtractedMetadataTreeForUpdateDtoTests()
        {
            // TODO uncomment below to create an instance of ExtractedMetadataTreeForUpdateDto
            //instance = new ExtractedMetadataTreeForUpdateDto();
        }

        public void Dispose()
        {
            // Cleanup when everything is done.
        }

        /// <summary>
        /// Test an instance of ExtractedMetadataTreeForUpdateDto
        /// </summary>
        [Fact]
        public void ExtractedMetadataTreeForUpdateDtoInstanceTest()
        {
            // TODO uncomment below to test "IsType" ExtractedMetadataTreeForUpdateDto
            //Assert.IsType<ExtractedMetadataTreeForUpdateDto>(instance);
        }

        /// <summary>
        /// Test the property 'Path'
        /// </summary>
        [Fact]
        public void PathTest()
        {
            // TODO unit test for the property 'Path'
        }

        /// <summary>
        /// Test the property 'Id'
        /// </summary>
        [Fact]
        public void IdTest()
        {
            // TODO unit test for the property 'Id'
        }

        /// <summary>
        /// Test the property 'Definition'
        /// </summary>
        [Fact]
        public void DefinitionTest()
        {
            // TODO unit test for the property 'Definition'
        }

        /// <summary>
        /// Test the property 'Provenance'
        /// </summary>
        [Fact]
        public void ProvenanceTest()
        {
            // TODO unit test for the property 'Provenance'
        }

        /// <summary>
        /// Test the property 'ForceNewMetadataVersion'
        /// </summary>
        [Fact]
        public void ForceNewMetadataVersionTest()
        {
            // TODO unit test for the property 'ForceNewMetadataVersion'
        }
    }
}
